import React, { Component } from 'react';
import PropTypes from 'prop-types';
import * as Rsg from '../../../typings';
interface PlaygroundProps {
    componentName: string;
    componentHashPath: string[];
    exampleMode: string;
    code: string;
    documentScope: Record<string, unknown>;
    exampleScope: Record<string, unknown>;
    modifiers: Rsg.Modifiers;
}
interface PlaygroundState {
    code: string;
    prevCode: string;
    activeTab?: string;
}
declare class Playground extends Component<PlaygroundProps, PlaygroundState> {
    static propTypes: {
        componentName: PropTypes.Validator<string>;
        componentHashPath: PropTypes.Validator<string[]>;
        exampleMode: PropTypes.Validator<string>;
        code: PropTypes.Validator<string>;
        documentScope: PropTypes.Validator<object>;
        exampleScope: PropTypes.Validator<object>;
        modifiers: PropTypes.Validator<object>;
    };
    static contextType: React.Context<import("../Context").StyleGuideContextContents>;
    private handleChange;
    state: PlaygroundState;
    static getDerivedStateFromProps(nextProps: PlaygroundProps, prevState: PlaygroundState): {
        prevCode: string;
        code: string;
    } | null;
    componentWillUnmount(): void;
    private getInitialActiveTab;
    private handleTabChange;
    render(): JSX.Element;
}
export default Playground;
