import "core-js/modules/es.object.assign.js";
import "core-js/modules/es.object.keys.js";

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import { render } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import config from '../../scripts/schemas/config';
import slots from '../rsg-components/slots';
import Context from '../rsg-components/Context';
var compileExample = config.compileExample.default;
var defaultContext = {
  config: {
    theme: {},
    styles: {},
    pagePerSection: false,
    tocMode: 'expand',
    compileExample: compileExample
  },
  isolated: false,
  slots: slots()
};
export var Provider = function Provider(_ref) {
  var children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, ["children"]);

  return /*#__PURE__*/React.createElement(Context.Provider, {
    value: Object.assign({}, defaultContext, props)
  }, children);
};

var Wrapper = function Wrapper(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/React.createElement(Provider, null, children);
}; // Render a component with all the necessary providers


var customRender = function customRender(ui, options) {
  if (options === void 0) {
    options = {};
  }

  return render(ui, Object.assign({
    wrapper: Wrapper
  }, options));
}; // Keep the API of React Testing Library but with our custom renderer


export { act, fireEvent, screen, getNodeText, getRoles, isInaccessible, logDOM, logRoles, waitForElementToBeRemoved, within } from '@testing-library/react';
export { customRender as render };