import * as Rsg from '../../typings';
interface UrlInfo {
    /**
     * Are we in the isolated mode?
     */
    isolated: boolean;
    /**
     * Full path to the section or component:
     * /#/Components/Buttons/BigButton
     * ['Components', 'Buttons', 'BigButton']
     */
    hashArray: string[];
    /**
     * Index or name of the example in the isolated mode:
     * /#!/Button//1 → 1
     * /#!/Button//pizza → pizza
     */
    exampleIndex?: string | number;
}
export default function getInfoFromHash({ sections, hash, pagePerSection, }: {
    sections: Rsg.Section[];
    hash: string;
    pagePerSection: boolean;
}): UrlInfo;
export {};
