import "core-js/modules/es.string.split.js";
import "core-js/modules/es.regexp.exec.js";
import "core-js/modules/es.array.map.js";
import "core-js/modules/es.array.slice.js";
import "core-js/modules/es.function.name.js";
import "core-js/modules/es.object.assign.js";

var parseHash = function parseHash(hash) {
  var _hash$split = hash.split('//'),
      baseHash = _hash$split[0],
      targetHash = _hash$split[1];

  var _baseHash$split$map = baseHash.split('/').map(decodeURIComponent),
      prefix = _baseHash$split$map[0],
      hashArray = _baseHash$split$map.slice(1);

  var targetHashNumberMaybe = parseInt(targetHash, 10);
  return {
    isolated: prefix === '#!',
    hashArray: hashArray,
    exampleIndex: isNaN(targetHashNumberMaybe) ? targetHash : targetHashNumberMaybe
  };
};

export default function getInfoFromHash(_ref) {
  var _sections$, _sections$2, _sections$2$component, _sections$2$component2;

  var sections = _ref.sections,
      hash = _ref.hash,
      pagePerSection = _ref.pagePerSection;
  var info = parseHash(hash);
  var defaultSectionName = ((_sections$ = sections[0]) == null ? void 0 : _sections$.name) || ((_sections$2 = sections[0]) == null ? void 0 : (_sections$2$component = _sections$2.components) == null ? void 0 : (_sections$2$component2 = _sections$2$component[0]) == null ? void 0 : _sections$2$component2.name);

  if (pagePerSection && defaultSectionName && info.hashArray.length === 0) {
    // By default render the first section or component when pagePerSection is enabled
    return Object.assign({}, info, {
      hashArray: [defaultSectionName]
    });
  } else {
    return info;
  }
}