import React from 'react';
import hashSum from 'hash-sum';
import slots from 'rsg-components/slots';
import StyleGuide from 'rsg-components/StyleGuide';
import getPageTitle from './getPageTitle';
import getRouteData from './getRouteData';
import processSections from './processSections';
export default function renderStyleguide(styleguide, codeRevision, loc, doc) {
  if (loc === void 0) {
    loc = window.location;
  }

  if (doc === void 0) {
    doc = document;
  }

  var allSections = processSections(styleguide.sections);
  var _styleguide$config = styleguide.config,
      title = _styleguide$config.title,
      pagePerSection = _styleguide$config.pagePerSection,
      theme = _styleguide$config.theme,
      styles = _styleguide$config.styles;

  var _getRouteData = getRouteData(allSections, loc.hash, pagePerSection),
      sections = _getRouteData.sections,
      isolated = _getRouteData.isolated,
      exampleIndex = _getRouteData.exampleIndex; // Update page title


  doc.title = getPageTitle(sections, title, pagePerSection || isolated);
  return /*#__PURE__*/React.createElement(StyleGuide, {
    codeRevision: codeRevision // only caclulate css revisions in dev when hot is on to avoid
    // stringifying the styles in production
    ,
    cssRevision: module.hot ? hashSum({
      theme: theme,
      styles: styles
    }) : '0',
    config: styleguide.config,
    slots: slots(styleguide.config),
    welcomeScreen: styleguide.welcomeScreen,
    patterns: styleguide.patterns,
    sections: sections,
    allSections: allSections,
    isolated: isolated,
    exampleIndex: exampleIndex,
    pagePerSection: pagePerSection
  });
}